<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue\NoteEditAction;

use UnexpectedValueException;




class NoteType
{
    


    const NOTE_TYPE_UNSPECIFIED = 0;
    


    const UNSTRUCTURED = 1;
    


    const STRUCTURED = 2;

    private static $valueToName = [
        self::NOTE_TYPE_UNSPECIFIED => 'NOTE_TYPE_UNSPECIFIED',
        self::UNSTRUCTURED => 'UNSTRUCTURED',
        self::STRUCTURED => 'STRUCTURED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

